#!/bin/sh

start()
{
    #load dvb kernel modules
    dvb_init/dvb_init.sh

    #start tv_scan
    export LD_LIBRARY_PATH=/mnt/syb8634/lib
    tv_jukebox/tv_scan -c tv_jukebox/channels.xml -t > tv_jukebox/tv_scan.log &
}

stop()
{
    killall tv_scan
}

case "$1" in
    start)
    start
    ;;

    stop)
    stop
    ;;

    restart)
    stop
    sleep 1
    start
    ;;
esac