#ifndef _DVB_H_
#define _DVB_H_

#include <linux/dvb/frontend.h>
#include <linux/dvb/dmx.h>

//----------------------------------------------------------------------------
extern int debug;
extern int timeout_flag;

//----------------------------------------------------------------------------
#define DESCLEN 0x40
typedef struct
{
    int   id;
    char  description[DESCLEN];
} EnumType;

//----------------------------------------------------------------------------

extern unsigned char **get_section(char *dmxdev, char *extstr, int pid, int tid, int mask, int *pnum_sections);
extern int set_pesfilter(int fd, int pid, dmx_pes_type_t type, int dvr);
extern int setup_frontend(int fe_fd, struct dvb_frontend_parameters *frontend);
extern int print_frontend_stats(int fe_fd);
extern int check_frontend(int fe_fd);

#endif
